在firefox 2.0 里面搞定 amule 的 ed2k链接

上网、浏览、聊天、下载等
回复
沧海月明
帖子: 66
注册时间: 2005-10-29 16:49
送出感谢: 0
接收感谢: 0

在firefox 2.0 里面搞定 amule 的 ed2k链接

#1

帖子 沧海月明 » 2006-11-02 12:02

ubuntu 6.10 官网里的amule版本是2.1.3-1版的,但不知道为什么没有 amule-ed2k 这个包。

因为用firefox打开amule的ed2k链接需要这个包。

我只好从amule的主站上抓回一个测试版的包,改了一下依赖,重新打包,安装后一切OK!

在firefox2.0中把ed2k地址关联到amule,还是用老办法就行了。

在firefox地址栏中输入about:config
新建一个Boolean,名字为network.protocol-handler.external.ed2k,值为true
新建一个String,名字为network.protocol-handler.app.ed2k,值为/usr/bin/ed2k.amule或者ed2k.amule
这样就OK了。这时候点击一个ed2k链接将会出现一个启动相应应用程序的提示。点击启动后, 这个ed2k链接将会被加入下载队列。前提是amule必须是已经开启着的。

如果你想在点一个ed2k链接的时候不出现提示,那么新建一个Boolean,名字为network.protocol-handler.warn-external.ed2k,值为false

update:ed2k.amule也可能为ed2k,具体可以在命令行下输入ed2k,然后tab查看
附件
amule-ed2k_2.1.3-1_i386.deb
(112.92 KiB) 下载 126 次
黑夜给了我黑色的眼睛,我却用它来寻找ubuntu 。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2006-11-02 13:10

ed2k 在这里, sudo apt-get install amule-utils 或者类似的包名,搜索一下即可.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
springlarry
帖子: 286
注册时间: 2006-06-08 8:53
送出感谢: 0
接收感谢: 0

#3

帖子 springlarry » 2006-11-02 13:22

出现错误!
怎么回事?
[/img]
黄金草原
帖子: 1
注册时间: 2006-10-09 20:29
送出感谢: 0
接收感谢: 0

#4

帖子 黄金草原 » 2006-11-06 2:44

安装amule utils这个包,名为network.protocol-handler.app.ed2k的字符串值设为/usr/bin/ed2k,就可以了。
lisir
帖子: 1187
注册时间: 2006-04-29 14:54
来自: 山东
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 lisir » 2006-11-29 20:11

黄金草原 写了:安装amule utils这个包,名为network.protocol-handler.app.ed2k的字符串值设为/usr/bin/ed2k,就可以了。
这个命令不一定是这个!比如我的就是ed2k.xmule。
在修改前一定要用

代码: 全选

ls /usr/bin/ed*
来查看一下!

ps:
如果在修改about:config时出了错,比如将上面的串建成了布尔型的,你无法在上面直接删除的!在可以在终端,

代码: 全选

~/.mozilla/firefox/4bupwfrg.default$ vi prefs.js 
在里面用/ed2k查找你刚添加的这个串(/是用来查找的命令,后面的ed2k是上面串中我取来作为关键字的,如果你要查找其它的内容请将上面的ed2k替换为你要查找的内容!)
然后点i键进入插入模式,删除掉。按ESC键进入命令模式,输入

代码: 全选

:wq
保存退出。

我就犯过这样的错,所以还请注意了。
夜鸣剑
帖子: 20
注册时间: 2008-05-14 17:34
送出感谢: 0
接收感谢: 0

#6

帖子 夜鸣剑 » 2008-05-14 19:56

顶上来!

并且说两个事情:

1, 赞楼主的热情,鄙视楼主的不够仔细。如2楼所言,直接安装amule-utils就可以了,不用那么麻烦自己打包。

2, 再度鄙视楼主的不求甚解,只是copy网上流传的版本,字都一幕一样! 还是楼上说的对,我需要添加的值也是ed2k.xmule,而不是大家左右相告的ed2k.amule。

哼哼,真是误人,在网上搜索了几千遍,都没有人给出完整的解决办法。
wenjianhn
帖子: 583
注册时间: 2008-10-15 10:49
来自: CS
送出感谢: 0
接收感谢: 0

Re: 在firefox 2.0 里面搞定 amule 的 ed2k链接

#7

帖子 wenjianhn » 2008-11-19 22:11

个人的经验:
先看http://macos.it168.com/thread-811-1-11.html
如不能解决则:
点击verycd中的连接后有一个应用程序选择,输入路径 /usr/bin/ 找到ed2k.amule并选择

我的就是这样解决的,在网上看了N多解决办法都没有解决
自己突然产生的一个想法却搞定了
看来还得是自己动脑,丰衣足食啊

代码: 全选

 _____________
< 呜呜buntu >
 -------------
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
yuanyangliu
帖子: 118
注册时间: 2009-02-05 16:49
送出感谢: 0
接收感谢: 0

Re: 在firefox 2.0 里面搞定 amule 的 ed2k链接

#8

帖子 yuanyangliu » 2009-03-15 19:25

综合上面的方法改完了之后点击ed2k链接没反应了??????
http://www.luabbs.com 月光论坛欢迎你
http://game.luabbs.com月光游戏专区
头像
weive
帖子: 3235
注册时间: 2007-10-21 18:36
来自: 汕头/广东/中国
送出感谢: 2 次
接收感谢: 3 次

Re: 在firefox 2.0 里面搞定 amule 的 ed2k链接

#9

帖子 weive » 2009-03-15 20:04

yuanyangliu 写了:综合上面的方法改完了之后点击ed2k链接没反应了??????
:em20 06年代的也给你顶起来了?强!
老子的哲学是“”,庄子的哲学是“
人有一技在身,则逍遥游而无不为
回复

回到 “因特网相关软件”